# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}



%global barename debuglog

Name:               nodejs-debuglog
Version:            1.0.1
Release:            1%{?dist}
Summary:            Backport of util.debuglog from node v0.11

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/debuglog
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%description
To facilitate using the `util.debuglog()` function that will be available
when node v0.12 is released now, this is a copy extracted from the source.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/debuglog
cp -pr package.json debuglog.js \
    %{buildroot}%{nodejs_sitelib}/debuglog

%nodejs_symlink_deps

%files
%doc LICENSE README.md
%{nodejs_sitelib}/debuglog/

%changelog
* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 1.0.1-1
- Initial packaging for Fedora.
